Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07066 Sound Minor Always Aug 4, 2018, 07:33 5 days ago
Tester Augusto View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver alpha68k.cpp
Version 0.200 Fixed in Version 0.239 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07066: gangwars, gangwarsu and gangwarsj: Sound is slow if comparing with arcade
Description Please see the link in 16:32 and in same sync time load the save state.

Allow 4 loops music in arcade capture and after pause the youtube video and wait finish the fourth loop in MAME.
Beetween the arcade and MAME the difference is 5 seconds.
Another detail Player 1 punch hiting the cpu not sounds the same if comparing with the arcade.
Thanks.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems gangwars, gangwarsu and gangwarsj
Attached Files
7z file icon 1.7z (12,513 bytes) Aug 4, 2018, 07:33 Uploaded by Augusto
m4a file icon 1.m4a (887,801 bytes) Aug 11, 2018, 10:51 Uploaded by Augusto
mp4 file icon 2.mp4 (3,392,162 bytes) 5 days ago Uploaded by Augusto
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.15310
B2K24
Moderator
Aug 4, 2018, 19:07
Just to be clear what's the exact time index in the YT video after the 4 loops and right when you pause the video?
User avatar
No.15311
Augusto
Tester
Aug 5, 2018, 04:53
19:22
User avatar
No.15314
B2K24
Moderator
Aug 7, 2018, 04:05
Thanks. I'll attempt to figure this out.

The save state won't load for me because it complains about invalid header. I'll have to play the game and make my own manually.
User avatar
No.15325
B2K24
Moderator
Aug 11, 2018, 08:13
I'm unable to see or hear that anything is wrong with the game that greatly differs from the video.

Does anyone else have input on this?
User avatar
No.15326
Augusto
Tester
Aug 11, 2018, 10:35
edited on: Aug 11, 2018, 10:52
Posted a sound file to compare.
Sound file start in youtube 16:32.
4 loops has a more precise result.
Stop youtube video in 19:22. MAME sound will play for more 5 seconds.
The sound is slow.
User avatar
No.15329
Machone
Tester
Aug 11, 2018, 23:03
Running the video side-by-side with MAME I can confirm that the music tempo is too slow compared to the arcade machine. I also noted that the in-game timer runs down too quickly in MAME. I tried changing the timer speed dipswitch from 'normal' to 'slow', but then it ran far too slowly.
User avatar
No.15330
B2K24
Moderator
Aug 12, 2018, 01:08
Thanks.

I can confirm that now after not noticing those oddities during my first test run.
User avatar
No.19614
Augusto
Tester
13 days ago
The commit
https://github.com/mamedev/mame/commit/d187a28fadf2f0511b2454357d695ff0428e98af
was only for YM2151 or all others Yamaha devices ?
In 0.239 tested gangwars sounds how the music tempo was fixed.
Need more test.
User avatar
No.19618
StHiryu
Tester
13 days ago
It seems for all the yamaha devices.
User avatar
No.19620
Augusto
Tester
12 days ago
edited on: 5 days ago
Uploaded a new file 2.mp4 from 0.239.
Compare 2.mp4 with the youtube video.
Gang Wars music tempo was fixed.
The issue was fixed.
User avatar
No.19679
Osso
Developer
5 days ago
Fixed per original reporter comment.